Name: task-kde3
Version: 3.5.10
Release: %mkrel 4
Summary: Metapackage for KDE
Group: Graphical desktop/KDE
License: GPL
Requires: arts3
Requires: kdebase3-progs
Requires: ia_ora-kde
Requires: ia_ora-kde-kwin
Requires: kdebase3-kmenuedit
Requires: krozat
Requires: xsettings-kde
Requires: kdebase-servicemenu
Requires: kdepim3-kontact
Requires: kdeaddons-akregator
Requires: kdeaddons-konq-plugins
Requires: kdeutils-kwalletmanager
Requires: kdegraphics3-common
Requires: kdebase3-konsole
Requires: fonts-ttf-dejavu
Requires: fonts-ttf-liberation
Requires: kdenetwork3-kopete
Requires: aspell
Requires: kdenetwork3-kget
Requires: mandriva-galaxy
Suggests: kdebase3-nsplugins
Suggests: preload
Suggests: readahead
Suggests: konversation
Suggests: kdetoys
Suggests: kdegames
Suggests: kdegraphics3-ksnapshot
Suggests: kdebase3-kmenuedit
Suggests: kdegraphics3-ksvg
Suggests: kdeutils-kmilo
Suggests: task-pulseaudio
Suggests: kdeutils-ark

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the K Desktop Environment.

%files
%defattr(-,root,root-)

#--------------------------------------------------------------------

%package devel
Summary: Metapackage for KDE development
Group: Development/KDE and Qt
Requires: kdelibs3-devel
Requires: kdebase3-devel
Requires: libcups-devel
Requires: e2fsprogs-devel
Requires: libltdl-devel
Requires: libtiff-devel
Requires: libxml2-devel
Requires: libxslt-devel
Requires: taglib-devel
Requires: gcc-c++
Requires: automake
Requires: autoconf
Requires: gettext

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing a KDE development environment.

%files devel
%defattr(-,root,root-)



%changelog
* Wed Apr 22 2009 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.10-4mdv2009.1
+ Revision: 368611
- Fix Requires

* Wed Apr 01 2009 Helio Chissini de Castro <helio@mandriva.com> 3.5.10-3mdv2009.1
+ Revision: 363358
- Solve dependencies

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Require for new arts package name

* Mon Sep 29 2008 Frederic Crozat <fcrozat@mandriva.com> 3.5.10-2mdv2009.0
+ Revision: 289370
- Add readahead as suggests

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 3.5.10-1mdv2009.0
+ Revision: 288170
- Suggests preload

* Sat Sep 20 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.9-10mdv2009.0
+ Revision: 286171
- Add ark and kmix as Suggests (Bug #41877 #41876)

* Fri Jul 18 2008 Olivier Blin <oblin@mandriva.com> 3.5.9-9mdv2009.0
+ Revision: 238157
- do not suggest digikam anymore, it is a kde4 application

* Mon Jun 02 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 3.5.9-7mdv2009.0
+ Revision: 214312
- Changed kdeaddons-metabar from Required to Suggested package.

* Mon May 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.9-6mdv2009.0
+ Revision: 209222
- Fix package name
- Fix Spec file name
- Order spec file sections
  Fix Requires
- Add obsoletes
- Fix some Requires
- Rename to show which kde it is

* Thu Apr 03 2008 Anne Nicolas <anne.nicolas@mandriva.com> 3.5.9-5mdv2008.1
+ Revision: 192170
- Add kde-config-file suggest to fix #39724 (neoclust)

* Wed Mar 26 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 3.5.9-4mdv2008.1
+ Revision: 190372
- Requires gcc-c++, not gcc-g++

* Sat Mar 15 2008 Olivier Blin <oblin@mandriva.com> 3.5.9-3mdv2008.1
+ Revision: 188069
- only suggest konversation so that it can be skipped in One
  (kopete is already required)

* Wed Mar 05 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.9-2mdv2008.1
+ Revision: 179452
- Add task-pulseaudio as Suggests
- New version 3.5.9

* Sun Jan 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.8-1mdv2008.1
+ Revision: 158801
- Suggest kmilo
- [BUGFIX] Add missing requires on task-kde-devel (Bug #35101)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Pixel <pixel@mandriva.com> 3.5.7-12mdv2008.1
+ Revision: 121622
- rebuild for new "Suggests" rpm format

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [FEATURE] Add kdegraphics-ksvg as Suggest (Bug #35321)

* Fri Oct 05 2007 Anne Nicolas <anne.nicolas@mandriva.com> 3.5.7-11mdv2008.0
+ Revision: 95548
- add mandriva-galaxy

* Thu Oct 04 2007 Anne Nicolas <anne.nicolas@mandriva.com> 3.5.7-10mdv2008.0
+ Revision: 95317
- fix suggests

* Fri Sep 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-9mdv2008.0
+ Revision: 93620
- Add kdenetwork-kget as Require

* Fri Sep 21 2007 Adam Williamson <awilliamson@mandriva.org> 3.5.7-8mdv2008.0
+ Revision: 92068
- okay, require krozat again, since boiko fixed it, and for safety

* Fri Sep 21 2007 Adam Williamson <awilliamson@mandriva.org> 3.5.7-7mdv2008.0
+ Revision: 91999
- don't require krozat

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 3.5.7-6mdv2008.0
+ Revision: 90814
- suggest kerry instead of requiring it (so that it can be skipped on live systems)

* Fri Sep 14 2007 Helio Chissini de Castro <helio@mandriva.com> 3.5.7-5mdv2008.0
+ Revision: 85689
- Suggests kaffeine instead of kmplayer

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 3.5.7-4mdv2008.0
+ Revision: 76262
- Added konversation, kopete and standard fonts
- Update task kde for new kdeaddons
- Update to add konsole as default
- Remove Mandriva galaxy as standard install

  + Anssi Hannula <anssi@mandriva.org>
    - add dependency on aspell, moved from kdelibs-common

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New KDE version 3.5.7

